.fep-form-field {
  margin: 0 0 0.390625rem;
}

#fep-wrapper a:not(.fep-button, .fep-button-active) {
  color: var(--wp--preset--color--brand-1, #025a02);

  &:hover, /*updated*/
  &:focus-visible {
    color: var(--wp--preset--color--black);
  }
}

.fep-form .fep-button {
  margin-top: 1rem;
  margin-bottom: 1.3125rem;
}

#fep-header .avatar {
  width: 4.5rem;
  height: 4.5rem;
  margin-top: 0;
}

#fep-menu .fep-button:not([type=submit]),
.fep-button:not([type=submit]),
.fep-button-active {
  display: inline-block;
  vertical-align: middle;
  padding: 0.7rem 1rem;
  border-width: 0;
  border-style: solid;
  border-color: var(--wp--preset--color--brand-1-800, #012401);
  border-radius: 0;
  background-color: var(--wp--preset--color--brand-1, #025a02);
  color: var(--wp--preset--color--white);
  line-height: 1em;
  text-align: center;
  text-transform: uppercase;
  white-space: nowrap;
  letter-spacing: 0.07rem;
  font-family: "Lato", "Helvetica", "Arial", sans-serif;
  font-size: 1rem;
  font-weight: 300;
  transition: all 0.2s ease-out;
  cursor: pointer;
  user-select: none;

  &:hover,
  &:focus-visible {
    background: var(--wp--preset--color--brand-1-800, #012401);
    color: var(--wp--preset--color--white);
    font-size: 1rem;
  }
}

.fep-attachment-field-div {
  margin-bottom: 0.625rem;
}

.fep-button:hover, /*updated*/
.fep-button:focus-visible,
.fep-button-active {
  background: var(--wp--preset--color--brand-1-800, #012401);
  color: var(--wp--preset--color--white);
}

#fep-result {
  z-index: 9;

  & li {
    border: 0;

    & a {
      padding: var(--wp--preset--spacing--30) 0.75rem;
      background: var(--wp--preset--color--white);

      &:hover,
      &:focus-visible {
        background: var(--wp--preset--color--brand-2);
        color: var(--wp--preset--color--white) !important;
      }
    }
  }
}

.fep-header-avatar {
  width: 6.25rem;
}

#fep-content {
  padding-top: 1.25rem;

  & h2 {
    padding: 0 0.3125rem;
  }
}

.fep-form-field-allow_messages,
.fep-form-field-fep_action,
.fep-form-field-allow_emails,
.fep-form-field-allow_ann {
  & label {
    padding-left: 1.4rem;
  }
}

#token-input-blocked_users {
  margin: 0;

  &:focus {
    outline: none !important;
  }
}

.token-input-list-facebook {
  max-width: 100%;

  & .token-input-focused-facebook {
    outline-width: 0.125rem;
    outline-style: solid;
    outline-color: var(--wp--preset--color--brand-1, #025a02);
    outline-offset: -0.125rem;
    border-radius: 0.1875rem;
  }
}

.fep-action-table button[type=submit] {
  height: 2.125rem;
  margin-top: 0.125rem;
  padding: 0.5rem 1rem;

  @media (max-width: 30rem) {
    margin: 0;
    margin-top: 0.625rem;
  }
}

.fep-form-field-announcement_roles label,
.fep-cb-check-uncheck-all-div label {
  padding-left: 1.4rem;
}

.fep-cb-check-uncheck-all-div label {
  margin-bottom: 0.9375rem;
}

#fep-menu-toggle-button {
  position: relative;

  &:after {
    position: absolute;
    top: 0.625rem;
    right: 0.625rem;
  }

  &.fep-menu-toggle-expanded:after {
    top: 0.5625rem;
  }
}

#fep-content .fep-pagination > li {
  display: inline-block;
  margin: 0 0.05859375rem;
  padding: 0;

  & > a {
    display: inline-block;
    padding: 0.54375rem 0.73125rem;
    border: 0;
    border-radius: 0;
    background: var(--wp--preset--color--grey-300);
    color: var(--wp--preset--color--body-text);
    line-height: 1;
    text-decoration: none;

    &:hover,
    &:focus-visible {
      background: var(--wp--preset--color--black) !important;
      color: var(--wp--preset--color--white);
    }
  }

  &.disabled > a {
    &:hover,
    &:focus-visible {
      background: var(--wp--preset--color--grey-300) !important;
      color: var(--wp--preset--color--body-text);
    }
  }

  &.active > a {
    background: var(--wp--preset--color--black) !important;
    color: var(--wp--preset--color--white);
  }

  & > span {
    display: inline-block;
    padding: 0.54375rem 0.73125rem;
    border: 0;
    background: var(--wp--preset--color--grey-300);
    color: var(--wp--preset--color--body-text);
    line-height: 1;
  }
}

.fep-button[type=submit] {
  @media screen and (max-width: 30rem) {
    width: auto;
  }
}
